## opencpn-plugin-chartscale 0.2.1

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Sean D'Epagnier
## ***************************************************************************
## *   Copyright (C) 2013 by Sean D'Epagnier                                 *
## *   This program is free software; you can redistribute it and/or modify  *
## *   it under the terms of the GNU General Public License as published by  *
## *   the Free Software Foundation; either version 3 of the License, or     *
## *   (at your option) any later version.                                   *
## *                                                                         *
## *   This program is distributed in the hope that it will be useful,       *
## *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
## *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
## *   GNU General Public License for more details.                          *
## *                                                                         *
## *   You should have received a copy of the GNU General Public License     *
## *   along with this program; if not, write to the                         *
## *   Free Software Foundation, Inc.,                                       *
## *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,  USA.         *
## ***************************************************************************


# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(chartscale_pi)
SET(PACKAGE_NAME chartscale_pi)
SET(VERBOSE_NAME Chartscale)
SET(TITLE_NAME Chartscale)
SET(CPACK_PACKAGE_CONTACT "Sean D'Epagnier ")

INCLUDE( VERSION.cmake )
SET(PLUGIN_VERSION "${PLUGIN_VERSION_MAJOR}.${PLUGIN_VERSION_MINOR}.${PLUGIN_VERSION_PATCH}" )

SET(VERSION_MAJOR ${PLUGIN_VERSION_MAJOR})
SET(VERSION_MINOR "${PLUGIN_VERSION_MINOR}")
SET(VERSION_DATE ${PLUGIN_VERSION_DATE})

INCLUDE("cmake/PluginConfigure.cmake")

SET(SRC_CHARTSCALE
    src/chartscale_pi.cpp
    src/ChartScaleDialog.cpp
    src/PreferencesDialog.cpp
    src/ChartScaleUI.cpp
    src/icons.cpp
)


ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_CHARTSCALE} )

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-chartscale (0.2.1-0mx17+3) mx; urgency=medium

  * Lowered opencpn depends to 4.8.2

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 19 Aug 2019 13:42:43 -0700

opencpn-plugin-chartscale (0.2.1-0mx17+2) mx; urgency=medium

  * Set wxwidgets3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 12:42:29 -0700

opencpn-plugin-chartscale (0.2.1-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 08 Aug 2019 14:22:27 -0700

opencpn-plugin-chartscale (0.2.1-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 08 Aug 2019 14:13:40 -0700

opencpn-plugin-chartscale (0.2.1-0~disco1) disco; urgency=low

  * Version 0.2.1

 -- Dave Register <bdbcat@yahoo.com>  Sun, 26 May 2019 23:46:20 -0400

opencpn-plugin-chartscale (0.2-0~cosmic1) cosmic; urgency=low

  * Version 0.2

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 21:23:51 -0400

opencpn-plugin-chartscale (0.2-0~bionic1) bionic; urgency=low

  * Version 0.2

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 21:23:51 -0400

opencpn-plugin-chartscale (0.2-0~xenial1) xenial; urgency=low

  * Version 0.2

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 21:23:51 -0400

opencpn-plugin-chartscale (0.2-0~trusty1) trusty; urgency=low

  * Version 0.2

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 21:23:51 -0400

opencpn-plugin-chartscale (0.1-0~cosmic1) cosmic; urgency=low

  * Version 0.1

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 20:32:06 -0400

opencpn-plugin-chartscale (0.1-0~bionic1) bionic; urgency=low

  * Version 0.1

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 20:32:06 -0400

opencpn-plugin-chartscale (0.1-0~xenial1) xenial; urgency=low

  * Version 0.1

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 20:32:06 -0400

opencpn-plugin-chartscale (0.1-0~trusty1) trusty; urgency=low

  * Version 0.1

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 20:32:06 -0400

=== debian/control ===
Source: opencpn-plugin-chartscale
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: David Register <bdbcat@yahoo.com>
Build-Depends: debhelper (>= 10), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, libgps-dev, wx-common (>= 3.0.2), libwxgtk3.0-dev (>= 3.0.2), libglu1-mesa-dev, libgtk2.0-dev, wx3.0-headers (>= 3.0.2), libbz2-dev, libtinyxml-dev, libsdl1.2debian, libportaudio2, portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-chartscale
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n (>= 3.0.2), opencpn (>= 4.8.2)
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
